diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 35010f3..add4fd3 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -124562,7 +124562,7 @@ SquareFreeRegularTriangularSet(R,E,V,P) : Exports == Implementation where
        empty? lp => ts
        internalAugment(rest lp, internalAugment(first lp, ts))
 
-     internalAugment(p:P,ts:$,rem?:B,red?:B,prim?:B,sqfr?:B,extend?:B): Split ==
+     internalAugment(p:P,ts:$,rem?:B,red?:B,prim?:B,sqfr?:B,extend?:B):Split ==
        -- ASSUME p is not a constant
        -- ASSUME mvar(p) is not algebraic w.r.t. ts
        -- ASSUME init(p) invertible modulo ts
@@ -124626,15 +124626,16 @@ SquareFreeRegularTriangularSet(R,E,V,P) : Exports == Implementation where
      squareFreePart(p:P, ts: $): List PWT ==
        stoseSquareFreePart(p,ts)$regsetgcdpack
 
-     intersect(p:P, ts: $): List($) == decompose([p], [ts], false, false)$regsetdecomppack
+     intersect(p:P, ts: $): List($) ==
+       decompose([p], [ts], false, false)$regsetdecomppack
 
-     intersect(lp: LP, lts: List($)): List($) == decompose(lp, lts, false, false)$regsetdecomppack
+     intersect(lp: LP, lts: List($)): List($) ==
+       decompose(lp, lts, false, false)$regsetdecomppack
         -- SOLVE in the regular zero sense 
         -- and DO NOT PRINT info
 
-     decompose(p:P, ts: $): List($) == decompose([p], [ts], true, false)$regsetdecomppack
-
-     decompose(lp: LP, lts: List($)): List($) == decompose(lp, lts, true, false)$regsetdecomppack
+     decompose(lp: LP, lts: List($)): List($) ==
+        decompose(lp, lts, true, false)$regsetdecomppack
         -- SOLVE in the closure sense 
         -- and DO NOT PRINT info
 
@@ -124663,7 +124664,8 @@ SquareFreeRegularTriangularSet(R,E,V,P) : Exports == Implementation where
            if info? then (s1,s2,s3) := ("w","g","i") else (s1,s2,s3) := (e,e,e)
            if info? 
              then 
-               (dom1, dom2, dom3) := ("QCMPACK", "REGSETGCD: Gcd", "REGSETGCD: Inv Set")
+               (dom1, dom2, dom3) := _
+                  ("QCMPACK", "REGSETGCD: Gcd", "REGSETGCD: Inv Set")
              else
                (dom1, dom2, dom3) := (e,e,e)
            startTable!(s1,"W",dom1)$quasicomppack
diff --git a/buglist b/buglist
index 6cd0bdb..59eb4b8 100644
--- a/buglist
+++ b/buglist
@@ -863,11 +863,6 @@ dup 50002:
 Warning: REGSET;decompose has a duplicate definition in this file
 
 =========================================================================
-dup 50001:
-
-Warning: SREGSET;decompose has a duplicate definition in this file
-
-=========================================================================
 dup 50000:
 
 Warning: PSETCAT-;exactQuo has a duplicate definition in this file
@@ -22554,7 +22549,6 @@ unused functions in metalex?
 
 duplicate definition in file
  PSETCAT-;exactQuo 
- SREGSET;decompose
  REGSET;decompose
  PFO;cmult
  RPOLCAT-;exactQuo
@@ -35379,11 +35373,6 @@ Warning: REGSET;decompose has a duplicate definition in this file
 
 ============================================================================
 
-   finalizing nrlib SREGSET 
-Warning: SREGSET;decompose has a duplicate definition in this file
-
-============================================================================
-
    finalizing nrlib ZDSOLVE 
    Warnings: 
       [1] squareFree:  toSave has no value
@@ -40520,4 +40509,9 @@ typos 40362:
 --->bookvol10.2.pamphlet-->AttributeRegistry((central (attribute))): Missing left brace
 "\\spad{central} is \\spad{true} if, given an algebra over a ring \\spad{R,} the image of \\spad{R} is the center of the algebra, \\spadignore{i.e.} the set of members of the algebra which commute with all others is precisely the image of \\spad{R} in the algebra."
 
+fixed 20130316.05.tpd.patch
+=========================================================================
+dup 50001:
+
+Warning: SREGSET;decompose has a duplicate definition in this file
 
diff --git a/changelog b/changelog
index ff24975..dea21da 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20130316 tpd src/axiom-website/patches.html 20130316.05.tpd.patch
+20130316 tpd buglist SREGSET fix 50001
+20130316 tpd books/bookvol10.4 SREGSET fix 50001
 20130316 tpd src/axiom-website/patches.html 20130316.04.tpd.patch
 20130316 tpd buglist ATTREG fix 40362
 20130316 tpd books/bookvol10.4 ATTREG fix 40362
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 50db682..2e385b3 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4077,5 +4077,7 @@ books/bookvol10.4 SOLVERAD fix 40043
 books/bookvol2 category theory notes
 <a href="patches/20130316.04.tpd.patch">20130316.04.tpd.patch</a>
 books/bookvol10.4 ATTREG fix 40362
+<a href="patches/20130316.05.tpd.patch">20130316.05.tpd.patch</a>
+books/bookvol10.4 SREGSET fix 50001
  </body>
 </html>
